/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TCoreVargrp;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreVargrpRecord extends UpdatableRecordImpl<TCoreVargrpRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_vargrp.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_vargrp.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_vargrp.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_vargrp.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_vargrp.fk_key_element</code>. Foreign
     * key to t_core_element_hierarchy
     */
    public void setFkKeyElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_vargrp.fk_key_element</code>. Foreign
     * key to t_core_element_hierarchy
     */
    public Integer getFkKeyElement() {
        return (Integer) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreVargrpRecord
     */
    public TCoreVargrpRecord() {
        super(TCoreVargrp.T_CORE_VARGRP);
    }

    /**
     * Create a detached, initialised TCoreVargrpRecord
     */
    public TCoreVargrpRecord(LocalDateTime lastchange, Integer pk, Integer fkKeyElement) {
        super(TCoreVargrp.T_CORE_VARGRP);

        setLastchange(lastchange);
        setPk(pk);
        setFkKeyElement(fkKeyElement);
        resetChangedOnNotNull();
    }
}
